<template >
  <div class="wrapper">
    <div id="headTitle">
      <logo />
      <h1 id="title" _msttexthash="48503" _msthash="2">{{i18ntext.lngText('purchase')}}</h1>
    </div>
    <Header />
    <ol id="topicPath">
          <li style="margin-left: 328px;">
            <router-link to="menupurchase"><a href="dashbaord">
              <font style="vertical-align: inherit"
                ><font style="vertical-align: inherit">{{i18ntext.lngText('purchase')}}</font></font>
            </a>
            </router-link>
          </li>
        </ol>

    <div class="search-box">
      <div id="product">
        <div class="search-box">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="width: 90%;">
              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                    <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                    <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                       <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i> 
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                       <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                  margin-right: 0;width: 100%;">
                    <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ i18ntext.lngText('stock-alert') }}
                  <span style="
                  background-color: red;
                  border-radius: 5px;
                  padding: 3px;
                  box-shadow: 1px 1px;
                  color: #333;">
                  {{ stockcount }} {{ i18ntext.lngText('item') }}
                </span>
                </a>
              </router-link>
              <router-link to="/ex_alert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                  margin-right: 0;width: 100%;">
                    <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ i18ntext.lngText('expire-alert1') }}
                  <span style="
                  background-color: red;
                  border-radius: 5px;
                  padding: 3px;
                  box-shadow: 1px 1px;
                  color: #333;">
                  {{ count_expire }} {{ i18ntext.lngText('item') }}
                </span>
                </a>
              </router-link>



            </div>
            <div id="right" style="width: 10%;">
              <a class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
              style="float: right; color: #f8f5b4;margin-top: -2px;margin-right: 11px;">
              <i class="fas fa-plus" style="padding-right: 5px"> </i>
              {{i18ntext.lngText('menu')}}
            </a>
            <ul class="dropdown-menu">

              <li>
                <a class="dropdown-item" data-bs-toggle="modal" data-bs-target="#staticboomId" tabindex="10028"
                  href="#"><i class="fa fa-print" aria-hidden="true"></i> {{i18ntext.lngText('print')}}</a>
              </li>
            </ul>
            </div>
          </div>

        </div>
        <div class="box">
          <div class="box-content">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
              <thead>
                <tr class="header-table">
                  <th></th>
                  <th>
                    <router-link to="/purchase">
                      <div class="button type2" id="uniform-undefined" to="product">
                        <span>
                          <input autocomplete="off" type="button" value="clear" class="type2" style="opacity: 0; width: 63px"
                            tabindex="10026" />
                            <i class="fas fa-plus" style="padding-right: 5px"> </i>
                            {{i18ntext.lngText('add_purchase')}}</span>
                      </div>
                  </router-link>
                  </th>
                  <th colspan="5">
                    <input v-model="search.name" style="width:100%" @input="getPurchase()" type="text" placeholder="document_no, document_type, description, supplier" class="clear_text code text"/>
                   
                  </th>
                </tr>
                <tr class="header-table">
                  <th style="width:5%">{{i18ntext.lngText('no')}}</th>
                  <th style="width:20%">{{i18ntext.lngText('document_no')}}</th>
                  <th style="width:15%">{{i18ntext.lngText('document_type')}}</th>
                  <th style="width:20%">{{i18ntext.lngText('description')}}</th>
                  <th style="width:15%">{{i18ntext.lngText('supplier')}}</th>
                  <th style="width:10%">{{i18ntext.lngText('status')}}</th>
                  <th style="width:15%"></th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(purchase, index) in purchases.data" :key="index">
                  <td>{{ 15*(number - 1)  + (index + 1)}}</td>
                  <td>
                    {{ purchase.document_no }}
                  </td>
                  <td> {{ purchase.document_type }} </td>
                  <td > {{ purchase.description }} </td>
                  <td>{{ purchase.suppliyer_code }} </td>
                  <td>{{ purchase.statue }} </td>
                  <td>
                    <div class="">
                      <div class="button type2" id="uniform-undefined">
                        <span><input autocomplete="off" @click="getEdit(purchase.document_no)" type="button" value="display" class="type2"
                            style="opacity: 0; width: 54px" tabindex="10025" /><i class="fa fa-edit"></i> {{i18ntext.lngText('update')}}</span>
                      </div>
                      <div v-if="purchase.statue === 'open'" data-bs-toggle="modal" data-bs-target="#confirmbox" class="button type2" id="uniform-undefined" to="product">
                        <span @click="getDocument_no(purchase.document_no)">
                          <input autocomplete="off" type="button" value="clear" class="type2" style="opacity: 0; width: 63px"
                            tabindex="10026" /><i class="fa fa-trash" aria-hidden="true"></i>
                            {{i18ntext.lngText('Delete')}}</span>
                      </div>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class="box-footer-pagination">
              <pagination :limit="2" :data="purchases" @pagination-change-page="getPurchase" />
            </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print" aria-hidden="true"></i>
            {{i18ntext.lngText('print')}}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content" >
          <div class="card">
            <div class="card-body print-size" >
              <div class="mt-3 "  id="purchaseorder" style="height: auto !important;">
                <div class="row d-flex align-items-baseline">
                  <div class="col-xl-9">
                  </div>
                  <hr>
                </div>

                <div style="padding:0 50px 0 50px">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{i18ntext.lngText('report')}}{{i18ntext.lngText('purchase')}}</h3>
                    </div>
                  </div>

                  <div class="col-container">
                    <div class="col1" style="width: 55%;">
                      <p class=" p-bg font-size p-pad">{{i18ntext.lngText('company')  }}</p>
                        <p class="p-mg info-pad"><span id="bold">{{i18ntext.lngText('name')  }} :</span> <span id="fon">{{ company.company_name }}</span></p>
                        <p class="p-mg  info-pad"><span id="bold">{{i18ntext.lngText('phonenumber')  }} :</span> <span id="fon">{{ company.company_Phone }}</span></p>
                        <p class="p-mg info-pad"><span id="bold">{{i18ntext.lngText('email')  }} :</span> <span id="fon">{{ company.company_Email }}</span></p>
                        <p class="p-mg info-pad"><span id="bold">{{i18ntext.lngText('address')  }} :</span> <span id="fon">{{ company.company_Address }}</span></p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{i18ntext.lngText('date')  }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{i18ntext.lngText('total')  }}{{i18ntext.lngText('purchase')  }}</p>
                      <p class="text-center p-mg" id="fon">{{ purchases.total }}</p>
                    </div>
                  </div>
                  <div class=" my-2  justify-content-center">
                    <table id="pr-tb">
                    <thead>
                      <tr class="p-bg">
                        <th class="text-center">{{i18ntext.lngText('document_no')  }}</th>
                        <th class="text-center">{{i18ntext.lngText('document_type')  }}</th>
                        <th class="text-center">{{i18ntext.lngText('description')  }}</th>
                        <th class="text-center">{{i18ntext.lngText('supplier')  }}</th>
                        <th class="text-center">{{i18ntext.lngText('status')  }}</th>
                      
                      </tr>
                    </thead>
                    <tbody >
                        <tr v-for="(purchase, index) in printData" :key="index">
                          <td>{{ purchase.document_no }}</td>
                          <td>{{ purchase.document_type }}</td>
                          <td>{{ purchase.description }}</td>
                          <td>{{ purchase.suppliyer_code }}</td>
                          <td>{{ purchase.statue }}</td>
                         
                        </tr>
                    </tbody>
                  </table>
                  </div>

                  <hr>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0" data-mdb-ripple-color="dark"><i
              class="fas fa-print text-primary"></i> {{i18ntext.lngText('print')  }}</a>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade ui-modal" id="confirmbox" data-bs-backdrop="static" data-bs-keyboard="false"
            tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
            <div class="modal-dialog smallpopup">
              <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                  <h5 class="modal-title" id="staticBackdropLabel">
                    <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">Message confirm</span>
                  </h5>
                  <a href="#" class="ui-dialog-titlebar-close ui-corner-all" role="button" data-bs-dismiss="modal"><span
                      class="ui-icon ui-icon-closethick">close</span></a>
                </div>
                <div class="ui-dialog-content">
                  <div class="modal-body">
                    Do you want to delete?
                  </div>
                  <div class="modal-footer">
                    <div class="button type2" id="uniform-undefined" data-bs-dismiss="modal">
                      <span>No<input autocomplete="off" type="button" class="type2" value="No" style="width: 89px; opacity: 0"
                           tabindex="10008" /></span>
                    </div>
                    <div class="button type2"  data-bs-dismiss="modal" @click="btnDelete(id)">
                      <span>Yes</span>

                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

  <Footer />
  <UserInfo />

</template>

<script>
import axios, { Axios } from "axios";
import Auth from "../../auth/Auth";
import moment from "moment";
import pagination from "laravel-vue-pagination";
import Header from "../Header.vue";
import Logo from "../logo.vue";
import print from 'vue3-print-nb';
import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";
import Footer from "../footer.vue";

export default {
  components:{Header, pagination, Logo, UserInfo, Footer},
  directives:{print},
  data() {
    return {
      i18ntext: i18n,
      links: [],
      purchases: [],
      company: [],
      dateformat: "",
      perPage: "",
      currentPage: 0,
      last_page: 1,
      form: {
        id: "",
        document_no: "",
        document_type: "",
        description: "",
        suppliyer_code: "",
        curency_code: "",
        inactived: "",
      },
      search: {
        name : '',
      },
      printData : [],
      stockcount:0,
      count_expire:0,
      number_page : 1,
      number : 1,
      document_no : '',
    };
  },
  mounted() {
    if (Auth.check()) {
        if(!Auth.checkPermission('PURCHESEORDER_ALL')){
            this.$router.push('/dashboard');
        }
    }
    if(this.$route.query.page != 1){
        this.number_page = this.$route.query.page
        this.perPage = "api/v1/purchase/purchaseorder/view?page=" + this.number_page,this.search;
                axios.post(this.perPage).then(({ data }) => {
                  this.currentPage = data.current_page;
                  this.purchases =data.pur;
                  this.printData = data.print
                });
    }else{
      this.getPurchase();
    }
    let myPagenumber = this.$route.query
     if(JSON.stringify(myPagenumber) === '{}'){
        this.number = 1
     } 
     else {
      this.number = this.$route.query.page
     }
    this.getcompany();
    this.getstockalert()
    this.getExpireAlert()
  },
  methods: {
    getDocument_no(id){
      this.id = id
    },
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
  },
  async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    getPurchase(page = 1) {
      this.$router.push({name: 'Purchasview', query: {page : page}})
                this.perPage = "api/v1/purchase/purchaseorder/view?page=" + page;
                axios.post(this.perPage,this.search).then(({ data }) => {
                  this.currentPage = data.current_page;
                  this.purchases =data.pur;
                  console.log("after search")
                  console.log(this.purchases)
                  this.printData = data.print
                  this.number = this.$route.query.page
                });
    },
    getEdit(id) {
      if (id != "") {
        this.$router.push({
          name: "Purchase",
          query: { id: id },
        });
      }
    },
    getcompany(){
      axios.get("/api/v1/getSetup/")
            .then((response) => {
             this.company = response.data;
             this.dateformart = moment(new Date()).format('DD-MM-YYYY');
            });
    },
    btnDelete(id) {
      axios.post("api/v1/purchase/delete/purchaseorder/" + id).then((res) => {
        this.getPurchase();
      });
    },
   checkEmpty(){
      if(this.search.document_no === '' && this.search.supplier === '' && this.search.document_type === '' && this.search.description === ''){
        this.getPurchase()
      }
   }
  },
};
</script>
